> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/menus/menu.md).

# Menu

## Overview

The **Menu** node represents an individual Servoy Menu within the [Menus](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/menus.md#overview) structure. It acts as a container for [Menu Items](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/menus/menu/menu-item.md#overview), which define navigation and functionality within the application. Each Menu can be assigned to UI components such as the [Sidenav](/guides/develop/application-design/ui-components/navigation/sidenav.md#overview) or [Navbar](/guides/develop/application-design/ui-components/navigation/navbar.md#overview), allowing centralized menu management.

Each item represents a Servoy Menu created in the active solution.

## Properties Summary

See [Menu](/reference/servoycore/object-model/solution/menu.md#properties-summarized) for properties that can be set on a **Menu** from Properties View.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                               | Summary                                                                                                                      |
| ------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| [Edit menu](#edit-menu)               | Opens the [Menu Editor](/reference/servoy-developer/object-editors/servoy-menu-editor.md#menu-editor)                        |
| [Create menu item](#create-menu-item) | Opens the [New MenuItem Wizard](/reference/servoy-developer/object-editors/new-menu-wizard/new-menu-item-wizard.md#overview) |
| [Delete menu](#delete-menu)           | Deletes the menu from workspace                                                                                              |

## Commands Details

The details for each command available on this item via right-click context menu:

### Edit menu

Opens the [Menu Editor](/reference/servoy-developer/object-editors/servoy-menu-editor.md#menu-editor) in order to create, delete, configure [menu items](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/menus/menu/menu-item.md#overview).

### Create menu item

Opens the [New MenuItem Wizard](/reference/servoy-developer/object-editors/new-menu-wizard/new-menu-item-wizard.md#overview) in order to create a new [menu item](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/menus/menu/menu-item.md#overview).\
The new created [menu item](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/menus/menu/menu-item.md#overview) is added under the selected Menu. Menu items define the clickable elements that perform actions, such as opening forms, running scripts, or navigating within the application.

### Delete menu

Deletes the menu from workspace. This command permanently removes the selected Menu and all of its associated Menu Items from the Menus node. This action cannot be undone.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/menus/menu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
